Skip to main content
GET
/
tokenization_requests
List tokenization requests
curl --request GET \
  --url https://api.withacclaim.com/v1/tokenization_requests \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "trq_XyZ789AbC",
      "status": "RequiresPaymentMethod",
      "payer_id": "pyr_AbC123XyZ",
      "payment_method": {},
      "session_identifier": "trq_XyZ789AbC_abc123...",
      "description": "Tokenize payment method for customer",
      "failure_code": "validation_failed",
      "failure_message": "Payment method validation failed",
      "expires_at": "2025-12-31T23:59:59Z",
      "completed_at": "2025-10-08T18:25:00Z",
      "ip_address": "192.168.1.1",
      "user_agent": "Mozilla/5.0...",
      "metadata": {
        "custom_field": "value",
        "source": "api"
      },
      "created_at": "2025-10-08T18:20:31Z",
      "updated_at": "2025-10-08T18:25:00Z"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string

Response

A list of tokenization requests.

data
object[]
next_cursor
string | null
has_more
boolean
Last modified on April 16, 2026